Bug 1993089 - Add "Datacenter" field to "Mapping" and "Plan" CRs to distinguish RHV resources with same name in different data centers
Summary: Add "Datacenter" field to "Mapping" and "Plan" CRs to distinguish RHV resourc...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Migration Toolkit for Virtualization
Classification: Red Hat
Component: Controller
Version: 2.1.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 2.2.0
Assignee: Jeff Ortel
QA Contact: Amos Mastbaum
Avital Pinnick
URL:
Whiteboard:
Depends On:
Blocks: 1995407
TreeView+ depends on / blocked
 
Reported: 2021-08-12 11:34 UTC by Amos Mastbaum
Modified: 2021-12-09 19:20 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1995407 (view as bug list)
Environment:
Last Closed: 2021-12-09 19:20:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github konveyor forklift-controller pull 337 0 None None None 2021-08-19 18:23:54 UTC
Red Hat Product Errata RHEA-2021:5066 0 None None None 2021-12-09 19:20:54 UTC

Description Amos Mastbaum 2021-08-12 11:34:35 UTC
Description of problem:

When migration from RHV and creating a Mapping or Plan CR, the users can either specify the id or the name of the resource (storage, network or VM).

However, using the name of the resource can lead to ambiguous specification, as multiple resources of the same type and with the same name can exist in different scopes.

In RHV, a storage domain, network or virtual machine is unique within the datacenter scope. So, to remove the ambiguity, it should be possible to set the datacenter is the CR spec.

Comment 5 Fabien Dupont 2021-10-11 09:38:41 UTC
Please verify with mtv-operator-bundle-2.2.0-41 / iib:122011, or later.

Comment 6 Amos Mastbaum 2021-10-15 19:18:41 UTC
2.2.0-50 verified api

Comment 9 errata-xmlrpc 2021-12-09 19:20:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (MTV 2.2.0 Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2021:5066


Note You need to log in before you can comment on or make changes to this bug.